//字典管理
import request from '@/utils/request'

// 开放检索控制
export const retrievalControl = (data) => {
  return request({
    url: '/point-strategy/v/tentityType/retrievalControl',
    method: 'post',
    data
  })
}

// 查询检索控制
export const selectRetrievalControl = (data) => {
  return request({
    url: '/point-strategy/v/tentityType/selectRetrievalControl',
    method: 'post',
    params:data
  })
}

// 开放控制-添加开放条件
export const addOpenCondition = (data) => {
  return request({
    url: '/point-strategy/v/openControl/add',
    method: 'post',
    data:data
  })
}

// 开放控制-删除开放条件
export const delOpenCondition = (data) => {
  return request({
    url: '/point-strategy/v/openControl/del',
    method: 'post',
    params:data
  })
}

// 开放控制-查询开放和不开放
export const selectOpenControlByClassId = (data) => {
  return request({
    url: '/point-strategy/v/openControl/selectOpenControlByClassId',
    method: 'post',
    params:data
  })
}


//审核提示是否包含不开放数据
export const openJudgment = (data) => {
  return request({
    url: '/point-strategy/v/openControl/openJudgment',
    method: 'post',
    params:data
  })
}

// 开放条件时，有保存生效
export const executeOpen = (data) => {
  return request({
    url: '/point-strategy/elasticArchive/executeOpen',
    method: 'post',
    data:data
  })
}
